singleton Material(pigeon)
{
   mapTo = "pigeon";
   diffuseMap[2] = "vehicles/pigeonpickup/pigeonpickup_c.dds";
   specularMap[2] = "vehicles/pigeonpickup/pigeonpickup_s.dds";
   normalMap[2] = "vehicles/pigeonpickup/pigeonpickup_n.dds";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.3 0.5 0.3 1.3";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeonpickup_interior)
{
   mapTo = "pigeonpickup_interior";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_interior_d.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_interior_s.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
};

singleton Material(pigeon_glass)
{
   mapTo = "pigeon_glass";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_glass_d.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_glass_s.dds";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_glass_da.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_glass_dmg)
{
   mapTo = "pigeon_glass_dmg";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_glass_d.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_glass_s.dds";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_glass_da.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights)
{
   mapTo = "pigeon_lights";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_dmg)
{
   mapTo = "pigeon_lights_dmg";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_dmg_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_dmg_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_on)
{
   mapTo = "pigeon_lights_on";
   diffuseMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_g.dds";
   specularMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_s.dds";
   normalMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon_lights_on_intense)
{
   mapTo = "pigeon_lights_on_intense";
   diffuseMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_g.dds";
   specularMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_s.dds";
   normalMap[2] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeonpickup_gauges)
{
   mapTo = "pigeonpickup_gauges";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_d.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_s.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(pigeon_gauges_on)
{
   mapTo = "pigeon_gauges_on";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_gauges_d.dds";
   specularMap[1] = "vehicles/pigeonpickup/pigeonpickup_gauges_s.dds";
   normalMap[1] = "vehicles/pigeonpickup/pigeonpickup_gauges_n.dds";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_d.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_s.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(pigeon_signal_L)
{
   mapTo = "pigeon_signal_L";
};

singleton Material(pigeon_signal_R)
{
   mapTo = "pigeon_signal_R";
};

singleton Material(pigeon_taillight_R)
{
   mapTo = "pigeon_taillight_R";
};

singleton Material(pigeon_taillight_L)
{
   mapTo = "pigeon_taillight_L";
};

singleton Material(pigeon_headlight)
{
   mapTo = "pigeon_headlight";
};

singleton Material(pigeon_reverselight)
{
   mapTo = "pigeon_reverselight";
};

singleton Material(pigeonpickup_V8_engine)
{
   mapTo = "V8_engine";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_police.dds";
   //specularMap[3] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeonpickup_super_interior)
{
   mapTo = "super_interior";
   diffuseMap[0] = "vehicles/super/super_interior_d.dds";
   normalMap[0] = "vehicles/super/super_interior_n.dds";
   specularPower[0] = "12";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "vehicles/super/super_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(pigeonpickup_pickup6wd_tire)
{
   mapTo = "pickup6wd_tire";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_tiretex_d.dds";
   normalMap[0] = "vehicles/pigeonpickup/pigeonpickup_tiretex_n.dds";
   specularMap[0] = "vehicles/pigeonpickup/pigeonpickup_tiretex_s.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "316";
   useAnisotropic[0] = "1";
};

singleton Material(pigeonpickup_hatch_engine)
{
   mapTo = "hatch_engine";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeon_hatchengine.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};


singleton Material(pigeonpickup_pigeon_misc)
{
   mapTo = "pigeon_misc";
   diffuseMap[0] = "vehicles/pigeonpickup/pigeonpickup_misc.png";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(pigeonpickup_decal)
{
   mapTo = "pigeonpickup_decal";
   diffuseMap[1] = "vehicles/pigeonpickup/pigeonpickup_decal.png";
   specularMap[1] = "vehicles/common/null.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "1";
   materialTag0 = "beamng"; materialTag2 = "decal";

};



singleton Material(pigeonpickup_steelwheel_pigeon)
{
   mapTo = "steelwheel_pigeon";
   diffuseMap[1] = "vehicles/common/steelwheel_04a_d.dds";
   specularMap[1] = "vehicles/common/steelwheel_04a_s.dds";
   normalMap[1] = "vehicles/common/steelwheel_04a_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/common/steelwheel_04a_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "0.4 0.4 0.4 1.5";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(pigeonpickup_super)
{
   mapTo = "super";
   diffuseMap[2] = "vehicles/super/super_c.dds";
   specularMap[2] = "vehicles/super/super_s.dds";
   normalMap[2] = "vehicles/super/super_n.dds";
   diffuseMap[1] = "vehicles/super/super_d.dds";
   specularMap[1] = "vehicles/super/super_s.dds";
   normalMap[1] = "vehicles/super/super_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/super/super_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
};
